package nxm.sys.lib;

import nxm.sys.inc.Units;

/** A class to define and handle Audio Format Data files.

    @author  Jeff Schoen / Neon Ngo (implementation)
*/
public class BinFile extends DataFile {

  /** default constructor */
  public BinFile () {}

  public String getVersion() { return "BIN"; }

  /** No header to read, generate a default one */
  protected void readHeader () {
    for (int i=0; i<512; i++) hb[i]=0;
    initMain();
    setFormat("SB");
    setXUnits(Units.TIME);
    setDataStart(0.0);
    setDataSize((double)io.getLength());
  }

}
